Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jclark.xsl.dom
Class DOMBuilder

    java.lang.Object
      com.jclark.xsl.dom.DOMBuilder

All Implemented Interfaces:
  CommentHandler, org.xml.sax.DocumentHandler

public class DOMBuilder
extends java.lang.Object
implements org.xml.sax.DocumentHandler, CommentHandler

provides callback methods for xslt engine and constructs W3C DOM Nodes therefrom

Constructor Summary
`DOMBuilder(org.w3c.dom.Node parent)`

Method Summary
`void` | `characters(char[] ch, int start, int len)`
`void` | `comment(java.lang.String body)` recieve notification that a comment has been encountered in the parse
`void` | `endDocument()`
`void` | `endElement(java.lang.String name)`
`void` | `ignorableWhitespace(char[] ch, int start, int len)`
`void` | `processingInstruction(java.lang.String target, java.lang.String data)`
`void` | `setDocumentLocator(org.xml.sax.Locator loc)`
`void` | `startDocument()`
`void` | `startElement(java.lang.String name, org.xml.sax.AttributeList atts)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMBuilder

    public DOMBuilder(org.w3c.dom.Node parent)

Method Detail

### startDocument

    public void startDocument()

  Specified by:
    `startDocument` in interface `org.xml.sax.DocumentHandler`

### characters

    public void characters(char[] ch,
                           int start,
                           int len)

  Specified by:
    `characters` in interface `org.xml.sax.DocumentHandler`

### ignorableWhitespace

    public void ignorableWhitespace(char[] ch,
                                    int start,
                                    int len)

  Specified by:
    `ignorableWhitespace` in interface `org.xml.sax.DocumentHandler`

### startElement

    public void startElement(java.lang.String name,
                             org.xml.sax.AttributeList atts)

  Specified by:
    `startElement` in interface `org.xml.sax.DocumentHandler`

### endElement

    public void endElement(java.lang.String name)

  Specified by:
    `endElement` in interface `org.xml.sax.DocumentHandler`

### processingInstruction

    public void processingInstruction(java.lang.String target,
                                      java.lang.String data)

  Specified by:
    `processingInstruction` in interface `org.xml.sax.DocumentHandler`

### comment

    public void comment(java.lang.String body)

  Description copied from interface: `CommentHandler`
  recieve notification that a comment has been encountered in the parse

  Specified by:
    `comment` in interface `CommentHandler`

### endDocument

    public void endDocument()

  Specified by:
    `endDocument` in interface `org.xml.sax.DocumentHandler`

### setDocumentLocator

    public void setDocumentLocator(org.xml.sax.Locator loc)

  Specified by:
    `setDocumentLocator` in interface `org.xml.sax.DocumentHandler`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD